SDL_TryWaitSemaphore(3)

NAME
SDL_TryWaitSemaphore - See if a semaphore has a positive value and decrement it if it does.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_TryWaitSemaphore(SDL_Semaphore *sem);

DESCRIPTION
This function checks to see if the semaphore pointed to by sem has a positive value and atomically decrements the semaphore value if it does. If the semaphore doesn't have a positive value, the function immediately returns SDL_MUTEX_TIMEDOUT .

FUNCTION PARAMETERS

sem the semaphore to wait on

RETURN VALUE
Returns 0 if the wait succeeds, SDL_MUTEX_TIMEDOUT if the wait would block, or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PostSemaphore(3), SDL_WaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)